#!/bin/sh

#Name  KT9    W  H/Z
#------------------
cat<<EOF>Station_info
BAD    001   0.0  H
BAD    002   0.0  H
BAD    003   1.0  Z
BOO    004   0.0  H
BOO    005   0.0  H
BOO    006   1.0  Z
CAE    008   0.0  H
CAE    009   0.0  H
CAE    010   1.0  Z
DRE    014   0.0  H
DRE    015   0.0  H
DRE    016   1.0  Z
ZOU    023   0.0  H
ZOU    024   0.0  H
ZOU    025   1.0  Z
Asia   031   0.0  H
Asia   032   0.0  H
Asia   033   1.0  Z
Barc   034   0.0  H
Barc   035   0.0  H
Barc   036   1.0  Z
Cast   037   0.0  H
Cast   038   0.0  H
Cast   039   1.0  Z
Codr   040   0.0  H
Codr   041   0.0  H
Codr   042   1.0  Z
Cone   043   0.0  H
Cone   044   0.0  H
Cone   045   1.0  Z
Cort   046   0.0  H
Cort   047   0.0  H
Cort   048   1.0  Z
Felt   049   0.0  H
Felt   050   0.0  H
Felt   051   1.0  Z
Malc   052   0.0  H
Malc   053   0.0  H
Malc   054   1.0  Z
Tolm   058   0.0  H
Tolm   059   0.0  H
Tolm   060   1.0  Z
Treg   061   0.0  H
Treg   062   0.0  H
Treg   063   1.0  Z
Forg   070   0.0  H
Forg   071   0.0  H
Forg   072   1.0  Z
MaiM   073   0.0  H
MaiM   074   0.0  H
MaiM   075   1.0  Z
Tarc   076   0.0  H
Tarc   077   0.0  H
Tarc   078   1.0  Z
San    079   0.0  H
San    080   0.0  H
San    081   1.0  Z
MaiP   082   0.0  H
MaiP   083   0.0  H
MaiP   084   1.0  Z
MaiP   085   0.0  H
MaiP   086   0.0  H
MaiP   087   1.0  Z
Somp   088   0.0  H
Somp   089   0.0  H
Somp   090   1.0  Z
Koba   091   0.0  H
Koba   092   0.0  H
Koba   093   1.0  Z
Breg   094   0.0  H
Breg   095   0.0  H
Breg   096   1.0  Z
Buia   097   0.0  H
Buia   098   0.0  H
Buia   099   1.0  Z
Robi   100   0.0  H
Robi   101   0.0  H
Robi   102   1.0  Z
EOF
#-------------------
#-------------------
#LSR    026   1.0  Z
#BUA    007   1.0  Z
#COLI   011   1.0  Z
#CSM    012   1.0  Z
#CSO    013   1.0  Z
#MLN    017   1.0  Z
#MPRI   018   1.0  Z
#PLRO   019   1.0  Z
#TLI    021   1.0  Z
#UDI    022   1.0  Z
#EOF
#-------------------


while read stname num w comp
do
	if [ $comp = Z ] 
	then
		if [ ${num} -ge 31 ]
		then 
			echo copying ../NNSRCSITE_ACC_FIXDR/Psite.${num}.${stname}...
			cp ../NNSRCSITE_ACC_FIXDR/Psite.${num}.${stname} ${stname}_Z
		else
			echo copying Psitel1.${num}.${stname}...
			cp Psitel1.${num}.${stname} ${stname}_Z
		fi
	fi
done<Station_info




while read stname num w comp
do
	if [ $comp = H ]
	then
		if [ ${num} -ge 31 ]
                then 
			sitefile=../NNSRCSITE_ACC_FIXDR/Psite.${num}.${stname}
			if test -f $sitefile
			then
				rm tmp1 tmp2
				if test -f ${stname}.${num}_H_Z
				then
					rm ${stname}.${num}_H_Z
				fi
#				for FN in 0.500000 1.00000 2.00000 3.00000 4.00000 \
				for FN in 0.250000  0.330000 0.400000 0.500000 1.00000 2.00000 3.00000 4.00000 \
					  5.00000 6.00000 8.00000 10.00000 12.0000 14.0000 16.0000 
				do
					cat<<EOF>getstuff.awk
\$1 == $FN { print \$1 , \$2 }
EOF
					cat ${sitefile}| awk -f getstuff.awk > tmp1
					cat ${stname}_Z| awk -f getstuff.awk > tmp2
					paste tmp1 tmp2 | awk '{print $1, "\t" ( $2 - $4 )}'>> ${stname}.${num}_H_Z
				done
			fi
		else
			sitefile=Psitel1.${num}.${stname}
			if test -f $sitefile
			then
				rm tmp1 tmp2
				if test -f ${stname}.${num}_H_Z
				then
					rm ${stname}.${num}_H_Z
				fi
				for FN in 0.250000  0.330000 0.400000 0.500000 1.00000 2.00000 3.00000 4.00000 \
					  5.00000 6.00000 8.00000 10.00000 12.0000 14.0000 16.0000 
				do
					cat<<EOF>getstuff.awk
\$1 == $FN { print \$1 , \$2 }
EOF
					cat ${sitefile}| awk -f getstuff.awk > tmp1
					cat ${stname}_Z| awk -f getstuff.awk > tmp2
					paste tmp1 tmp2 | awk '{print $1, "\t" ( $2 - $4 )}'>> ${stname}.${num}_H_Z
				done
			fi
		fi
	fi
done<Station_info


