#!/bin/sh


#
#	Write a little program to cast the empirical data into a matrix form of type:
#
#
#	D(r_i,f)+[pi*f*r_i/v*Q(f)]*r_i = A * rho_1  + B * rho_2 + C * rho_3 
#
#	where:
#
#	case r_i < r_1 : 	A= log10(r1) - log10(r_i)
#			 	B=-log10(r1) + log10(r_ref)
#			 	C=0
#
#
#
#	case r_1 < r < r_2 : 	A=0
#			 	B=-log10(r_i)-log10(r_ref)
#			 	C=0
#
#
#
#	case r_i > r_2 : 	A=0
#			 	B=-log10(r_2)-log10(r_ref)
#			 	C=log10(r_2) - log10 (r_i)
#
#
#
#
#
#	r_1=30 km;r_2=60 km; r_ref=40 km
#
#




######
#	Cast results of empirical regressions on D(r,f) 
#	in a vector form for inversion
######



rm Data
rm Matrix_gl1gl1*

for i in 01 02 03 04 05 06 07 08 09 10 11 12 13 14
do
	case $i in
		01) FN=0.25;;
		02) FN=0.33;;
		03) FN=0.40;;
		04) FN=0.5;;
		05) FN=1.0;;
		06) FN=2.0;;
		07) FN=3.0;;
		08) FN=4.0;;
		09) FN=5.0;;
		10) FN=6.0;;
		11) FN=8.0;;
		12) FN=10.0;;
		13) FN=12.0;;
		14) FN=14.0;;
	esac
	echo $FN 
	cat gl1gl1_$i | awk '{print $1, $2, $4}' > tmp
	while read one two three
	do
		echo $one $two $three $FN  >> Data

	done<tmp

done
cat Data|matrix 
